Package: javax.swing.tree

## [Java] Class DefaultMutableTreeNode

- javax.swing.tree.DefaultMutableTreeNode

-     public class DefaultMutableTreeNode
      extends Object

  GDK enhancements for DefaultMutableTreeNode.

  displayName:
    DefaultMutableTreeNode
  receiverFqcn:
    javax.swing.tree.DefaultMutableTreeNode

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()` Removes all children nodes from the DefaultMutableTreeNode.
    `` | `public DefaultMutableTreeNode` | `leftShift(DefaultMutableTreeNode node)` Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public void clear()

      Removes all children nodes from the DefaultMutableTreeNode.

      Since:
        1.6.4

    - #### public DefaultMutableTreeNode leftShift(DefaultMutableTreeNode node)

      Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

      Parameters:
        `node` - a node to be added to the treeNode.
      Returns:
        same treeNode, after the value was added to it.
      Since:
        1.6.4